Edit
curl --request PATCH \
--url https://api.qa.sima.ag/api/v3/third_party/campaigns/{new_campaign} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-SIMA-SYSTEM-ID: <api-key>' \
--data '
"{\n \"schedule_planting_date\": \"2024-03-04T17:18:47-03:00\",\n \"planting_date\": null,\n \"planting_distance\": 52,\n \"planting_objective_area_ha\": 78,\n \"harvest_finished\": false,\n \"planting_finished\": false,\n \"seed\": null,\n \"plot_id\": 39507,\n \"planting_system_id\": 2,\n \"maturity_group_id\": 1,\n \"days_from_planting\": 0,\n \"formulated_id\": null,\n \"master_campaign_id\": {{master_campaign_id}},\n \"objective_yield_kg_ha\": 4200,\n \"harvest_final_yield\": null,\n \"external_code\": null,\n \"is_carbon_footprint_ready\": false,\n \"created_at\": \"2026-05-20T10:12:23-03:00\",\n \"modified_at\": \"2026-05-20T10:12:23-03:00\",\n \"deleted_at\": null,\n \"active\": true\n}"
'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/campaigns/{new_campaign}"
payload = "{
\"schedule_planting_date\": \"2024-03-04T17:18:47-03:00\",
\"planting_date\": null,
\"planting_distance\": 52,
\"planting_objective_area_ha\": 78,
\"harvest_finished\": false,
\"planting_finished\": false,
\"seed\": null,
\"plot_id\": 39507,
\"planting_system_id\": 2,
\"maturity_group_id\": 1,
\"days_from_planting\": 0,
\"formulated_id\": null,
\"master_campaign_id\": {{master_campaign_id}},
\"objective_yield_kg_ha\": 4200,
\"harvest_final_yield\": null,
\"external_code\": null,
\"is_carbon_footprint_ready\": false,
\"created_at\": \"2026-05-20T10:12:23-03:00\",
\"modified_at\": \"2026-05-20T10:12:23-03:00\",
\"deleted_at\": null,
\"active\": true
}"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-SIMA-SYSTEM-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify('{\n "schedule_planting_date": "2024-03-04T17:18:47-03:00",\n "planting_date": null,\n "planting_distance": 52,\n "planting_objective_area_ha": 78,\n "harvest_finished": false,\n "planting_finished": false,\n "seed": null,\n "plot_id": 39507,\n "planting_system_id": 2,\n "maturity_group_id": 1,\n "days_from_planting": 0,\n "formulated_id": null,\n "master_campaign_id": {{master_campaign_id}},\n "objective_yield_kg_ha": 4200,\n "harvest_final_yield": null,\n "external_code": null,\n "is_carbon_footprint_ready": false,\n "created_at": "2026-05-20T10:12:23-03:00",\n "modified_at": "2026-05-20T10:12:23-03:00",\n "deleted_at": null,\n "active": true\n}')
};
fetch('https://api.qa.sima.ag/api/v3/third_party/campaigns/{new_campaign}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/campaigns/{new_campaign}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode('{
"schedule_planting_date": "2024-03-04T17:18:47-03:00",
"planting_date": null,
"planting_distance": 52,
"planting_objective_area_ha": 78,
"harvest_finished": false,
"planting_finished": false,
"seed": null,
"plot_id": 39507,
"planting_system_id": 2,
"maturity_group_id": 1,
"days_from_planting": 0,
"formulated_id": null,
"master_campaign_id": {{master_campaign_id}},
"objective_yield_kg_ha": 4200,
"harvest_final_yield": null,
"external_code": null,
"is_carbon_footprint_ready": false,
"created_at": "2026-05-20T10:12:23-03:00",
"modified_at": "2026-05-20T10:12:23-03:00",
"deleted_at": null,
"active": true
}'),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Version 3 > Campaign
Edit
PATCH
/
api
/
v3
/
third_party
/
campaigns
/
{new_campaign}
Edit
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Path Parameters
Body
application/json
The body is of type object.
Response
200 - application/json
Successful response

